Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 520688 (CVE-2014-5388) - <app-emulation/qemu-2.1.0-r1: out of bounds memory access in ACPI PCI hotplug interface (CVE-2014-5388)
Summary: <app-emulation/qemu-2.1.0-r1: out of bounds memory access in ACPI PCI hotplug...
Status: RESOLVED FIXED
Alias: CVE-2014-5388
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-23 11:30 UTC by Agostino Sarubbo
Modified: 2014-12-08 22:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-08-23 11:30:38 UTC
From ${URL} :

An out of bounds memory access flaw was found in Qemu's ACPI PCI hotplug
interface. It leads to Qemu's memory corruption via OOB write(4 bytes) and 
information disclosure(~12 bytes) through OOB read.

A user with a custom PCI device could use this flaw to leak qemu process'
memory bytes or corrupt them on the host.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2014-08/msg03338.html


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Agostino Sarubbo gentoo-dev 2014-08-27 13:18:01 UTC
This is fixed in =app-emulation/qemu-2.1.0-r1 and we will wait a bit for the stabilization.
Comment 2 SpanKY gentoo-dev 2014-08-28 07:31:51 UTC
i was waiting for the patch to be merged upstream since it didn't seem to be critical (and we haven't treated any other QEMU security issue as critical), so i don't know why you decided to jump in now

your patch is named wrong, and lacks relevant metadata.  please read this doc before committing patches in the future:
http://dev.gentoo.org/~vapier/clean-patches
Comment 4 Agostino Sarubbo gentoo-dev 2014-08-29 09:18:46 UTC
(In reply to SpanKY from comment #2)
> i was waiting for the patch to be merged upstream since it didn't seem to be
> critical (and we haven't treated any other QEMU security issue as critical),
> so i don't know why you decided to jump in now
> 
> your patch is named wrong, and lacks relevant metadata.  please read this
> doc before committing patches in the future:
> http://dev.gentoo.org/~vapier/clean-patches

Great guide. Would be great if this reference will be in the wiki instead of personal devspace.
Comment 5 Yury German Gentoo Infrastructure gentoo-dev Security 2014-09-09 19:38:29 UTC
With a few QEMU bugs waiting for stabilization, making this one the master for those. As per Vapier, waited 30 days for regular testing. 

Arches, please test and mark stable:

=app-emulation/qemu-2.1.0-r1

Target Keywords : "amd64 ppc ppc64 x86"

Thank you!
Comment 6 Agostino Sarubbo gentoo-dev 2014-09-10 07:50:10 UTC
ppc and ppc64 has no stable keywords
Comment 7 Agostino Sarubbo gentoo-dev 2014-09-13 17:06:51 UTC
amd64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2014-09-13 17:07:37 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 9 Agostino Sarubbo gentoo-dev 2014-09-13 17:12:37 UTC
cleanup done.
Comment 10 Yury German Gentoo Infrastructure gentoo-dev Security 2014-10-05 01:51:38 UTC
Arches and Maintainer(s), Thank you for your work.

New GLSA Request filed.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2014-11-21 03:30:35 UTC
CVE-2014-5388 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-5388):
  Off-by-one error in the pci_read function in the ACPI PCI hotplug interface
  (hw/acpi/pcihp.c) in QEMU allows local guest users to obtain sensitive
  information and have other unspecified impact related to a crafted PCI
  device that triggers memory corruption.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2014-12-08 22:48:35 UTC
This issue was resolved and addressed in
 GLSA 201412-01 at http://security.gentoo.org/glsa/glsa-201412-01.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).